# eric3.Preferences.PreferencesLexer

Module implementing a special QextScintilla lexer to handle the preferences.

### Classes

PreferencesLexer |

### Functions

None

## PreferencesLexer

Subclass of QextScintillaLexer to implement preferences specific lexer methods.

### Derived from

QextScintillaLexer

### Methods

PreferencesLexer | Constructor
color | Reimplemented method to get the colour of a style.
description | Public method to get a descriptive string for a style.
eolFill | Reimplemented method to get the eolFill flag for a style.
font | Reimplemented method to get the font for a style.
getLexer | Public method to get a reference to the underlying lexer object.
language | Public method to get the lexers programming language.
lexer | Public method to get the lexers name.
paper | Reimplemented method to get the background for a style.
setColor | Reimplemented method to set the colour for a style.
setEolFill | Reimplemented method to set the eolFill flag for a style.
setFont | Reimplemented method to set the font for a style.
setPaper | Reimplemented method to set the background for a style.

### PreferencesLexer (Constructor)

PreferencesLexer(language, parent=None, name=None)

Constructor

language
  The lexer language. (string or QString)
parent
  The parent widget of this lexer. (QextScintilla)
name
  The name of this dialog. (QString)

### PreferencesLexer.color

color(style)

Reimplemented method to get the colour of a style.

style
  the style number (int)

Returns:
  colour

### PreferencesLexer.description

description(style)

Public method to get a descriptive string for a style.

tyle
  the style number (int)

Returns:
  description of the style (QString)

### PreferencesLexer.eolFill

eolFill(style)

Reimplemented method to get the eolFill flag for a style.

style
  the style number (int)

Returns:
  eolFill flag

### PreferencesLexer.font

font(style)

Reimplemented method to get the font for a style.

style
  the style number (int)

Returns:
  font

### PreferencesLexer.getLexer

getLexer()

Public method to get a reference to the underlying lexer object.

Returns:
  reference to the lexer

### PreferencesLexer.language

language()

Public method to get the lexers programming language.

Returns:
  language

### PreferencesLexer.lexer

lexer()

Public method to get the lexers name.

Returns:
  lexer name

### PreferencesLexer.paper

paper(style)

Reimplemented method to get the background for a style.

style
  the style number (int)

Returns:
  colour

### PreferencesLexer.setColor

setColor(c, style)

Reimplemented method to set the colour for a style.

c
  coulor (int)
style
  the style number (int)

### PreferencesLexer.setEolFill

setEolFill(eolfill, style)

Reimplemented method to set the eolFill flag for a style.

eolfill
  eolFill flag (boolean)
style
  the style number (int)

### PreferencesLexer.setFont

setFont(f, style)

Reimplemented method to set the font for a style.

f
  font
style
  the style number (int)

### PreferencesLexer.setPaper

setPaper(c, style)

Reimplemented method to set the background for a style.

c
  coulor (int)
style
  the style number (int)

Up